Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#10607 closed defect (obsolete)

Enable AR9341 Support at setup.c

Reported by: dyq <729650915@…> Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

Enable AR9341 Support at setup.c

BTW, I found the chip id of my FAST FW300R v3 board is 0x0121, so I added it.

(FAST FW300R v3 AR9341 SoC, board is the same as the TP-Link TL-WR841N v8 cn version)

boot log on my router(used the modified uboot, led not work)
{{{ U-Boot 1.1.4 (Dec 13 2011 - 21:55:03)

made by dyq (QQ:729650915)
tested by ironcake (QQ:110782278)

U-boot AP123

DRAM: 64 MB
led turning on for 1s...
id read 0x100000ff
flash size 8MB, sector count = 64
Flash: 4 MB
Using default environment

In: serial
Out: serial
Err: serial
Net: ag934x_enet_initialize...
No valid address in Flash. Using fixed address
Fetching MAC Address from 0x83ff4848

wasp reset mask:c03300

WASP ----> S27 PHY
: cfg1 0x5 cfg2 0x7114
eth0: 00:03:7f:09:0b:ad
s27 reg init
athrs27_phy_setup ATHR_PHY_CONTROL 4 :1000
athrs27_phy_setup ATHR_PHY_SPEC_STAUS 4 :10
eth0 up
WASP ----> S27 PHY
: cfg1 0xf cfg2 0x7214
eth1: 00:0c:f0:60:dc:98
s27 reg init lan
ATHRS27: resetting s27
ATHRS27: s27 reset done
athrs27_phy_setup ATHR_PHY_CONTROL 0 :1000
athrs27_phy_setup ATHR_PHY_SPEC_STAUS 0 :10
athrs27_phy_setup ATHR_PHY_CONTROL 1 :1000
athrs27_phy_setup ATHR_PHY_SPEC_STAUS 1 :10
athrs27_phy_setup ATHR_PHY_CONTROL 2 :1000
athrs27_phy_setup ATHR_PHY_SPEC_STAUS 2 :10
athrs27_phy_setup ATHR_PHY_CONTROL 3 :1000
athrs27_phy_setup ATHR_PHY_SPEC_STAUS 3 :10
eth1 up
eth0, eth1
Autobooting in 1 seconds, press t to stop
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

[ 0.000000] Linux version 2.6.39.4 (dyq@dyq-desktop) (gcc version 4.5.4 20110808 (prerelease) (Linaro GCC 4.5-2011.08) ) #1 Mon Dec 12 21:33:45 CST 2011
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[ 0.000000] SoC: Atheros AR9341 rev 1
[ 0.000000] Clocks: CPU:500.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 04000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone PFN ranges:
[ 0.000000] Normal 0x00000000 -> 0x00004000
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x00004000
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 16256
[ 0.000000] Kernel command line: board=TL-WR841N-v8 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[ 0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[ 0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 61848k/65536k available (2013k kernel code, 3688k reserved, 393k data, 184k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:80
[ 0.000000] Calibrating delay loop... 249.44 BogoMIPS (lpj=1247232)
[ 0.070000] pid_max: default: 32768 minimum: 301
[ 0.070000] Mount-cache hash table entries: 512
[ 0.080000] NET: Registered protocol family 16
[ 0.080000] MIPS: machine is TP-LINK TL-WR841N v8
[ 0.090000] firmware by dyq (QQ:729650915)
[ 0.500000] bio: create slab <bio-0> at 0
[ 0.510000] Switching to clocksource MIPS
[ 0.520000] NET: Registered protocol family 2
[ 0.520000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[ 0.520000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[ 0.530000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.530000] TCP: Hash tables configured (established 2048 bind 2048)
[ 0.540000] TCP reno registered
[ 0.540000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.550000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.560000] NET: Registered protocol family 1
[ 0.580000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.580000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.590000] msgmni has been set to 120
[ 0.600000] io scheduler noop registered
[ 0.600000] io scheduler deadline registered (default)
[ 0.610000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[ 0.630000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.640000] console [ttyS0] enabled, bootconsole disabled
[ 0.640000] console [ttyS0] enabled, bootconsole disabled
[ 0.650000] Atheros AR71xx SPI Controller driver version 0.2.4
[ 0.660000] m25p80 spi0.0: found mx25l6405d, expected m25p80
[ 0.670000] m25p80 spi0.0: mx25l6405d (8192 Kbytes)
[ 0.680000] 6 tp-link partitions found on MTD device spi0.0
[ 0.680000] Creating 6 MTD partitions on "spi0.0":
[ 0.690000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.700000] 0x000000020000-0x000000100000 : "kernel"
[ 0.700000] 0x000000100000-0x0000007f0000 : "rootfs"
[ 0.710000] mtd: partition "rootfs" set to be root filesystem
[ 0.720000] mtd: partition "rootfs_data" created automatically, ofs=260000, len=590000
[ 0.730000] 0x000000260000-0x0000007f0000 : "rootfs_data"
[ 0.730000] 0x0000007f0000-0x000000800000 : "art"
[ 0.740000] 0x000000020000-0x0000007f0000 : "firmware"
[ 0.750000] 0x000000000000-0x000000800000 : "fullflash"
[ 1.100000] ag71xx_mdio: probed
[ 1.100000] eth0: Atheros AG71xx at 0xba000000, irq 5
[ 1.660000] eth1: Atheros AG71xx at 0xb9000000, irq 4
[ 2.210000] Atheros AR71xx hardware watchdog driver version 0.1.0
[ 2.220000] TCP westwood registered
[ 2.220000] NET: Registered protocol family 17
[ 2.230000] 802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
[ 2.240000] All bugs added by David S. Miller <davem@…>
[ 2.250000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 2.260000] Freeing unused kernel memory: 184k freed
[ 4.410000] Button Hotplug driver version 0.4.1
[ 4.440000] eth0: link up (1000Mbps/Full duplex)

  • preinit -

[ 4.570000] leds-gpio: probe of leds-gpio failed with error -22
Press the [f] key and hit [enter] to enter failsafe mode

  • regular preinit -

[ 7.910000] JFFS2 notice: (423) jffs2_build_xattr_subsystem: complete building xattr subsystem, 17 of xdatum (0 unchecked, 16 orphan) and 31 of xref (0 dead, 24 orphan) found.
switching to jffs2

  • init -

[ 8.060000] eth0: link down

Please press Enter to activate this console. [ 8.580000] Compat-wireless backport release: compat-wireless-2011-11-29
[ 8.590000] Backport based on wireless-testing.git master-2011-12-01
[ 8.860000] cfg80211: Calling CRDA to update world regulatory domain
[ 9.110000] cfg80211: World regulatory domain updated:
[ 9.110000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 9.120000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.130000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 9.140000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 9.150000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.160000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 10.260000] ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=78
[ 10.270000] cfg80211: Calling CRDA for country: US
[ 10.410000] PPP generic driver version 2.4.2
[ 10.420000] cfg80211: Regulatory domain changed to country: US
[ 10.430000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 10.440000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 10.450000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 10.460000] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 10.460000] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 10.470000] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 10.480000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 10.680000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 10.820000] NET: Registered protocol family 24
[ 10.940000] nf_conntrack version 0.5.0 (969 buckets, 3876 max)
[ 12.120000] eth0: link up (1000Mbps/Full duplex)
[ 12.270000] device eth0 entered promiscuous mode
[ 12.310000] br-lan: port 1(eth0) entering forwarding state
[ 12.320000] br-lan: port 1(eth0) entering forwarding state
[ 12.530000] eth1: link up (100Mbps/Full duplex)
[ 14.090000] cfg80211: Calling CRDA for country: CN
[ 14.260000] cfg80211: Regulatory domain changed to country: CN
[ 14.270000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 14.270000] cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 14.280000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (N/A, 3000 mBm)
[ 15.820000] device wlan0 entered promiscuous mode
[ 15.820000] br-lan: port 2(wlan0) entering forwarding state
[ 15.830000] br-lan: port 2(wlan0) entering forwarding state
[ 17.980000] device wlan0 left promiscuous mode
[ 17.990000] br-lan: port 2(wlan0) entering forwarding state
[ 18.110000] device wlan0 entered promiscuous mode
[ 18.120000] br-lan: port 2(wlan0) entering forwarding state
[ 18.120000] br-lan: port 2(wlan0) entering forwarding state

BusyBox v1.19.3 (2011-12-11 03:51:37 CST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

_

| |.-----.-----.-----.| | | |.----.| |_

| - |_
_ | -| | | _ _|
|_||| ||

|| W I R E L E S S F R E E D O M

ATTITUDE ADJUSTMENT (bleeding edge, r29486, mod by dyq) --

  • 1/4 oz Vodka Pour all ingredients into mixing
  • 1/4 oz Gin tin with ice, strain into glass.
  • 1/4 oz Amaretto
  • 1/4 oz Triple sec
  • 1/4 oz Peach schnapps
  • 1/4 oz Sour mix
  • 1 splash Cranberry juice

-----------------------------------------------------

root@TP-LINK:/# cat /proc/cpuinfo
system type : Atheros AR9341 rev 1
machine : TP-LINK TL-WR841N v8
processor : 0
cpu model : MIPS 74Kc V4.12
BogoMIPS : 249.44
wait instruction : yes
microsecond timers : yes
tlb_entries : 32
extra interrupt vector : yes
hardware watchpoint : yes, count: 4, address/irw mask: [0x0000, 0x0ff8, 0x0ff8, 0x0ff8]
ASEs implemented : mips16
shadow register sets : 1
kscratch registers : 0
core : 0
VCED exceptions : not available
VCEI exceptions : not available

root@TP-LINK:/# }}}

Attachments (1)

ar9341.patch (574 bytes) - added by dyq <729650915@…> 6 years ago.

Download all attachments as: .zip

Change History (3)

Changed 6 years ago by dyq <729650915@…>

comment:1 Changed 6 years ago by swalker

  • Resolution set to obsolete
  • Status changed from new to closed

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.